Browse Source

[QUEENS ONLY] Fix layered upgrade workaround mechanism.

The regex was only matching ovs layered package with ".0" in the last
number end.

This fixes it.

Queens only because in master and below we use
tripleo-ansible/tripleo-ovs-upgrade module and it has the correct
regex.

Change-Id: I9120a7bc3b0afaf07be4ea90f65e9bb30c534fb8
Closes-Bug: #1897949
changes/58/755358/2
Sofer Athlan-Guyot 10 months ago
parent
commit
4958c2ef75
  1. 4
      puppet/services/tripleo-packages.yaml

4
puppet/services/tripleo-packages.yaml

@ -134,7 +134,7 @@ outputs:
- name: Get current OpenvSwitch package name
register: ovs_pkg_out
shell:
rpm -qa | awk -F- '/^(openvswitch[0-9]+\.[0-9]+-[0-9]+\.[0-9]+\.[-0]+-|openvswitch-2)/{print $1}'
rpm -qa | awk -F- '/^(openvswitch[0-9]+\.[0-9]+-[0-9]+\.[0-9]+\.[0-9]+-|openvswitch-2)/{print $1}'
when:
- step|int == 2
- name: Don't update if not present
@ -331,7 +331,7 @@ outputs:
- name: Get current OpenvSwitch package name
register: ovs_pkg_out
shell:
rpm -qa | awk -F- '/^(openvswitch[0-9]+\.[0-9]+-[0-9]+\.[0-9]+\.[-0]+-|openvswitch-2)/{print $1}'
rpm -qa | awk -F- '/^(openvswitch[0-9]+\.[0-9]+-[0-9]+\.[0-9]+\.[0-9]+-|openvswitch-2)/{print $1}'
when:
- step|int == 2 or step|int == 3
- name: Don't update if not present

Loading…
Cancel
Save